export { config as default };
import type { QueryClientConfig } from '@tanstack/react-query';
import type { ReactNode } from 'react';
import type { ImportString } from 'vike/types';
import 'vike-react/config';
declare const config: {
    name: string;
    require: {
        'vike-react': string;
    };
    queryClientConfig: undefined;
    Wrapper: "import:vike-react-query/__internal/integration/Wrapper:Wrapper";
    FallbackErrorBoundary: "import:vike-react-query/__internal/integration/FallbackErrorBoundary:FallbackErrorBoundary";
    stream: {
        require: true;
    };
    meta: {
        queryClientConfig: {
            env: {
                server: true;
                client: true;
            };
        };
        FallbackErrorBoundary: {
            env: {
                server: true;
                client: true;
            };
        };
    };
};
declare global {
    namespace Vike {
        interface Config {
            queryClientConfig?: QueryClientConfig | ((pageContext: PageContext) => QueryClientConfig);
            FallbackErrorBoundary?: ((props: {
                children: ReactNode;
            }) => ReactNode) | ImportString;
        }
    }
}
