export { StreamedHydration };
import type { QueryClient } from '@tanstack/react-query';
import { DehydratedState } from '@tanstack/react-query';
import type { ReactNode } from 'react';
declare global {
    interface Window {
        _rqd_?: {
            push: (entry: DehydratedState) => void;
        } | DehydratedState[];
        _rqc_?: () => void;
    }
}
/**
 * This component is responsible for:
 * - dehydrating the query client on the server
 * - hydrating the query client on the client
 * - if react-streaming is not used, it doesn't do anything
 */
declare function StreamedHydration({ client, children }: {
    client: QueryClient;
    children: ReactNode;
}): ReactNode;
