export { withFallback };
import { type ComponentProps, type ComponentType, type ReactNode } from 'react';
type RetryOptions = {
    retryQuery?: boolean;
};
type RetryFn = (options?: RetryOptions) => void;
type ErrorFallbackProps = {
    error: {
        message: string;
    } & Record<string, unknown>;
    retry: RetryFn;
};
type Loading<P> = ComponentType<P> | ReactNode | false;
type Error<P> = ComponentType<P & ErrorFallbackProps> | ReactNode;
type WithFallbackOptions<P> = {
    Loading?: Loading<P>;
    Error?: Error<P>;
};
declare function withFallback<T extends ComponentType<any>, P extends ComponentProps<T> = ComponentProps<T>>(Component: T, options?: WithFallbackOptions<P>): T;
declare function withFallback<T extends ComponentType<any>, P extends ComponentProps<T> = ComponentProps<T>>(Component: T, Loading?: Loading<P>, Error?: Error<P>): T;
